This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1019268 - Plus sign in a file name causes error pop-up
Plus sign in a file name causes error pop-up
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity low
: CR2
: 6.0.0
Assigned To: Alexandre Porcelli
Zuzana Krejčová
:
Depends On:
Blocks: 1055642
  Show dependency treegraph
 
Reported: 2013-10-15 07:49 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-10-15 07:49:59 EDT
Description of problem:
If you have + in the name of an asset, you can open it in an editor, but every time you do so,you get an error pop-up with "File "" could not be found."

It doesn't matter whether the + char is at the beginning, end or in the middle.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4
Comment 1 Alexandre Porcelli 2014-01-03 08:40:26 EST
Fix on the master and product branch of uberfire repository:

(master) https://github.com/droolsjbpm/uberfire/commit/b84ca8091
(0.3.x) https://github.com/droolsjbpm/uberfire/commit/8d6ef9aa7
Comment 2 Alexandre Porcelli 2014-01-16 07:48:34 EST
Additional issues were found and already fixed on master and product branch of uberfire repository:

(master) http://github.com/droolsjbpm/uberfire/commit/843cf6266
(0.3.x) http://github.com/droolsjbpm/uberfire/commit/7ef4fd308
Comment 3 Edson Tirelli 2014-01-21 10:15:36 EST
The last commit on this ticket was made after CR1 and it is required to fix the blocker ticket 1055642 (see blocked link). 

I am setting the status back to MODIFIED so it can be picked up for CR2.
Comment 4 Edson Tirelli 2014-01-22 17:10:26 EST
(0.3.2.GA.x) http://github.com/droolsjbpm/uberfire/commit/fb7068a

Cherry-picked to 6.0.0.CR2
Comment 5 Zuzana Krejčová 2014-01-26 10:58:47 EST
Verified with CR2. There is still a problem with Designer, see bug 1058033.

Note You need to log in before you can comment on or make changes to this bug.